CVE-2005-0083
CVSS5.0
发布时间 :2005-05-02 00:00:00
修订时间 :2011-03-07 21:19:30
NMCOPS    

[原文]MySQL MaxDB 7.5.00 for Windows, and possibly earlier versions and other platforms, allows remote attackers to cause a denial of service (application crash) via invalid parameters to the (1) DBMCli_String::ReallocString, (2) DBMCli_String::operator, (3) DBMCli_Buffer::ForceResize, (4) DBMCli_Wizard::InstallDatabase, (5) DBMCli_Devspaces::Complete, (6) DBMWeb_TemplateWizard::askForWriteCountStep5, or (7) DBMWeb_DBMWeb::wizardDB functions, which triggers a null dereference.


[CNNVD]MySQL MaxDB Web Agent多个拒绝服务漏洞(CNNVD-200505-681)

        MySQL的MaxDB是SAP AG开放源码数据库SAP DB的增强版本,是对MySQL数据库服务器的补充。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0083
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0083
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-681
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/19687
(VENDOR_ADVISORY)  XF  maxdb-null-pointer-dos(19687)
http://www.idefense.com/application/poi/display?id=218&type=vulnerabilities
(VENDOR_ADVISORY)  IDEFENSE  20050314 MySQL MaxDB Web Agent Multiple Denial of Service Vulnerabilities

- 漏洞信息

MySQL MaxDB Web Agent多个拒绝服务漏洞
中危 其他
2005-05-02 00:00:00 2006-03-28 00:00:00
远程  
        MySQL的MaxDB是SAP AG开放源码数据库SAP DB的增强版本,是对MySQL数据库服务器的补充。

- 公告与补丁

        暂无数据

- 漏洞信息 (F36633)

iDEFENSE Security Advisory 2005-03-14.t (PacketStormID:F36633)
2005-03-17 00:00:00
iDefense Labs  idefense.com
advisory,web,vulnerability
CVE-2005-0083
[点击下载]

iDEFENSE Security Advisory 03.14.05 - A number of remotely exploitable input validation errors have been found to exist in MySQL MaxDB and SAP DB Web Agent products. The vulnerabilities specifically exist due to insufficient validation of user input data. Confirmed in MySQL MaxDB 7.5.00.

MySQL MaxDB Web Agent Multiple Denial of Service Vulnerabilities

iDEFENSE Security Advisory 03.14.05
www.idefense.com/application/poi/display?id=218&type=vulnerabilities
March 14, 2005

I. BACKGROUND

MaxDB by MySQL is a re-branded and enhanced version of SAP DB, SAP AG's
open source database. MaxDB is a heavy-duty, SAP-certified open source
database that offers high availability, salability and a comprehensive
feature set. MaxDB complements the MySQL database server, targeted for
large mySAP ERP environments and other applications that require maximum
enterprise-level database functionality.

II. DESCRIPTION

A number of remotely exploitable input validation errors have been found
to exist in MySQL MaxDB and SAP DB Web Agent products.

The vulnerabilities specifically exist due to insufficient validation of
user input data. The input validation error results in a null pointer
dereference in the following functions which can lead to a denial of
service condition:

	DBMCli_String::ReallocString             
	DBMCli_String::operator
	DBMCli_Buffer::ForceResize        
	DBMCli_Wizard::InstallDatabase
	DBMCli_Devspaces::Complete
	DBMWeb_TemplateWizard::askForWriteCountStep5
	DBMWeb_DBMWeb::wizardDB

A remote attacker can request the function with invalid parameters to
cause a null pointer dereference resulting in a crash of MySQL MaxDB Web
Agent.

III. ANALYSIS

Exploitation allows remote attackers to cause a denial of service
condition. The attacks are trivially exploited, as a remote attacker
can send simple HTTP requests to cause MaxDB Web Agent to crash.

IV. DETECTION

iDEFENSE has confirmed that MySQL MaxDB 7.5.00 for Windows is
vulnerable. It is suspected that earlier versions and versions on other
platforms are vulnerable as well.

V. WORKAROUND

Use a firewall to only allow trusted hosts to connect to the MySQL MaxDB
Web Agent HTTP Service.

VI. VENDOR RESPONSE

These vulnerabilities are addressed in MySQL MaxDB 7.5.00.24 available
for download at:

   http://dev.mysql.com/downloads/maxdb/7.5.00.html

VII. CVE INFORMATION

The Common Vulnerabilities and Exposures (CVE) project has assigned the
names CAN-2005-0083 to these issues. This is a candidate for inclusion
in the CVE list (http://cve.mitre.org), which standardizes names for
security problems.

VIII. DISCLOSURE TIMELINE

09/15/2004   Initial vendor contact
01/06/2005   Secondary vendor contact
01/07/2005   Initial vendor response
03/14/2005   Public disclosure

IX. CREDIT

An anonymous contributor is credited with discovering this
vulnerability.

Get paid for vulnerability research
http://www.idefense.com/poi/teams/vcp.jsp

Free tools, research and upcoming events
http://labs.idefense.com

X. LEGAL NOTICES

Copyright (c) 2005 iDEFENSE, Inc.

Permission is granted for the redistribution of this alert
electronically. It may not be edited in any way without the express
written consent of iDEFENSE. If you wish to reprint the whole or any
part of this alert in any other medium other than electronically, please
email customerservice@idefense.com for permission.

Disclaimer: The information in the advisory is believed to be accurate
at the time of publishing based on currently available information.  Use
of the information constitutes acceptance for use in an AS IS condition.
There are no warranties with regard to this information. Neither the
author nor the publisher accepts any liability for any direct, indirect,
or consequential loss or damage arising from use of, or reliance on,
this information.


    

- 漏洞信息

14767
MaxDB/SAP DB Web Agent Multiple Function Remote DoS
Remote / Network Access Denial of Service
Loss of Availability

- 漏洞描述

- 时间线

2005-03-14 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 7.5.00.24 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

MySQL MaxDB WebAgent Input Validation Multiple Remote Denial Of Service Vulnerabilities
Failure to Handle Exceptional Conditions 12805
Yes No
2005-03-14 12:00:00 2009-07-12 10:56:00
An anonymous researcher discovered this issue.

- 受影响的程序版本

MySQL AB MaxDB 7.5 .00.23
MySQL AB MaxDB 7.5 .00.19
MySQL AB MaxDB 7.5 .00.18
MySQL AB MaxDB 7.5 .00.16
MySQL AB MaxDB 7.5 .00.15
MySQL AB MaxDB 7.5 .00.14
MySQL AB MaxDB 7.5 .00.12
MySQL AB MaxDB 7.5 .00.11
MySQL AB MaxDB 7.5 .00.08
MySQL AB MaxDB 7.5 .00
MySQL AB MaxDB 7.5 .00.24

- 不受影响的程序版本

MySQL AB MaxDB 7.5 .00.24

- 漏洞讨论

MaxDB WebAgent is prone to multiple remote denial of service vulnerabilities. These issues arise as the application fails to sufficiently sanitize user-supplied parameter input.

A remote attacker may exploit this vulnerability to deny service to legitimate users.

This vulnerability is reported to affect MySQL MaxDB 7.5.00 for Microsoft Windows platforms; other versions might also be affected.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

The vendor has addressed this issue in MaxDB 7.5.00.24 and subsequent releases. MaxDB 7.5.00.24 is available for download.


MySQL AB MaxDB 7.5 .00.18

MySQL AB MaxDB 7.5 .00.08

MySQL AB MaxDB 7.5 .00.12

MySQL AB MaxDB 7.5 .00.16

MySQL AB MaxDB 7.5 .00.23

MySQL AB MaxDB 7.5 .00.19

MySQL AB MaxDB 7.5 .00.14

MySQL AB MaxDB 7.5 .00.15

MySQL AB MaxDB 7.5 .00.11

MySQL AB MaxDB 7.5 .00

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站